package com.iamberry.wechat.core.entity.customized;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  牙刷生成记录类
 * @author w
 * @Date 2018-05-29
 */
public class CustomizedTooth  implements  Serializable{
    private static final long serialVersionUID = -5338887742912684947L;
    //定制牙刷id
    private Integer toothId;
    //openid
    private String userOpenId;
    //商品商品id
    private Integer productId;
    //商品颜色id
    private Integer colorId;
    //定制颜色id
    private Integer toothColorId;
    //纹理id
    private Integer toothPatternId;
    //位置id
    private Integer toothPositionId;
    //定制文字
    private String toothText;
    //定制头像
    private String toothAvatarImg;
    //生成的牙刷图片
    private String toothImg;
    //牙刷二维码图片
    private String toothCodeImg;
    //类型 1微信 2天猫
    private Integer toothType;
    //状态：1：正常 2:作废
    private Integer toothStatus;
    //创建时间'
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date toothCreateTime;

    public Integer getToothId(){
        return toothId;
    }

    public void setToothId(Integer  toothId){
        this.toothId=toothId;
    }

    public String getUserOpenId(){
        return userOpenId;
    }

    public void setUserOpenId(String  userOpenId){
        this.userOpenId=userOpenId;
    }

    public Integer getProductId(){
        return productId;
    }

    public void setProductId(Integer  productId){
        this.productId=productId;
    }

    public Integer getColorId(){
        return colorId;
    }

    public void setColorId(Integer  colorId){
        this.colorId=colorId;
    }

    public Integer getToothColorId(){
        return toothColorId;
    }

    public void setToothColorId(Integer  toothColorId){
        this.toothColorId=toothColorId;
    }

    public Integer getToothPatternId(){
        return toothPatternId;
    }

    public void setToothPatternId(Integer  toothPatternId){
        this.toothPatternId=toothPatternId;
    }

    public Integer getToothPositionId(){
        return toothPositionId;
    }

    public void setToothPositionId(Integer  toothPositionId){
        this.toothPositionId=toothPositionId;
    }

    public String getToothText(){
        return toothText;
    }

    public void setToothText(String  toothText){
        this.toothText=toothText;
    }

    public String getToothAvatarImg(){
        return toothAvatarImg;
    }

    public void setToothAvatarImg(String  toothAvatarImg){
        this.toothAvatarImg=toothAvatarImg;
    }

    public String getToothImg(){
        return toothImg;
    }

    public void setToothImg(String  toothImg){
        this.toothImg=toothImg;
    }

    public Integer getToothType(){
        return toothType;
    }

    public void setToothType(Integer  toothType){
        this.toothType=toothType;
    }

    public Integer getToothStatus(){
        return toothStatus;
    }

    public void setToothStatus(Integer  toothStatus){
        this.toothStatus=toothStatus;
    }

    public Date getToothCreateTime(){
        return toothCreateTime;
    }

    public void setToothCreateTime(Date  toothCreateTime){
        this.toothCreateTime=toothCreateTime;
    }

    public String getToothCodeImg() {
        return toothCodeImg;
    }

    public void setToothCodeImg(String toothCodeImg) {
        this.toothCodeImg = toothCodeImg;
    }
}